package common;

import java.rmi.Remote;
import java.rmi.RemoteException;
import java.util.Date;
import java.util.Vector;

import domain.Booking;
import domain.Client;
import domain.RuralHouse;
import exceptions.OfferCanNotBeBooked;

public interface BookingInterface extends Remote {


	public int getNumber() throws RemoteException;


	public void denyBooking(Booking b) throws RemoteException;


	public void acceptBooking(Booking b) throws RemoteException;
		
	public Vector<Booking> createBooking(RuralHouse ruralHouse, Date firstDate,
				Date lastDate, Client client)
				throws OfferCanNotBeBooked,RemoteException ;

}